<div id="top_of_dialog">
	<strong>Nuova configurazione</strong>
</div>
<br>
<div class="contentsDiv marginLeftZero" id="rightPanel" style="min-height: 80px; box-sizing: unset;">
	<div class="listViewPageDiv">
		<div class="listViewActionsDiv row-fluid">
			<div class="alert alert-danger" ng-show="errorMessage">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">x</button>
				<span><strong>Attenzione: </strong>{{errorMessage}}</span>
			</div>
			<form name="ValueForm" autocomplete="off">
				<table class="table table-bordered blockContainer showInlineTable equalSplit tableFormatted">
					<tbody>
						<tr>
							<th class="fieldLabel medium" style="width: 20%; text-align: right;"><label
									style="padding-top: 10px;">
									<span class="redColor">*</span>
									<strong>Società </strong></label></th>
							<td style="width: 40%">
								<div class="row-fluid">
									<span class="span10">
										<select name="selectedMandante" id="selectedMandante"
											ng-model="selectedMandante"
											ng-options="item as item.nominativo for item in mandanti track by item.id" required
											style="width: 116%; margin-bottom: 0%; height: 18px;">
										</select>
									</span>
								</div>
							</td>
						</tr>
						<tr>
							<th class="fieldLabel medium" style="width: 20%; text-align: right;">
								<label style="padding-top: 10px;"><span class="redColor">*</span><strong>Periodo da</strong></label>
							</th>
							<td>
								<div class="controls">
									<div class="input-append date dateThresholdFrom" data-date-format="dd-mm-yyyy">
										<input type="text" name="date" ng-model="configuration.validFrom"
											data-date-time-input="DD-MM-YYYY"
											style="width: 87%; margin-bottom: 0%; height: 18px;" required> <span
											class="add-on" style="height: 18px"><i class="icon-th"
												style="margin-top:0%"></i></span>
										<script type="text/javascript">
											$(".dateThresholdFrom")
												.datepicker(
													{
														format: 'dd-mm-yyyy',
														language: 'it',
														viewMode: "days",
														minViewMode: "days",
														orientation: "bottom auto",
														autoclose: "true"
													});
										</script>
									</div>
							</td>
						</tr>
						<tr>
							<th class="fieldLabel medium" style="width: 20%; text-align: right;">
								<label style="padding-top: 10px;"><strong>Periodo a</strong></label>
							</th>
							<td>
								<div class="controls">
									<div class="input-append date dateThresholdFrom" data-date-format="dd-mm-yyyy">
										<input type="text" name="date" ng-model="configuration.validTo"
											data-date-time-input="DD-MM-YYYY"
											style="width: 87%; margin-bottom: 0%; height: 18px;"> <span class="add-on"
											style="height: 18px"><i class="icon-th" style="margin-top:0%"></i></span>
										<script type="text/javascript">
											$(".dateThresholdTo")
												.datepicker(
													{
														format: 'dd-mm-yyyy',
														language: 'it',
														viewMode: "days",
														minViewMode: "days",
														orientation: "bottom auto",
														autoclose: "true"
													});
										</script>
									</div>
							</td>
						</tr>
						<tr>
							<th class="fieldLabel medium" style="text-align: right; font:bold; width:20%; ">
								<label style="margin-top: 6%">
									<strong>{{configuration.settings[0].label}}</strong>
								</label>
							</th>
							<td style="width: 40%;">
								<input pattern="^(100|\d{0,2})(\.\d{1,2})?$" type="text" name="aggioDEM" id="aggioDEM"
									class="form-control" style="width: 90%; margin-bottom: 0%; height: 18px;"
									ng-model="configuration.settings[0].value">&nbsp;%
								<div class="custom-error" ng-show="ValueForm.aggioDEM.$error.pattern"
									style="color: red; font-size:14px; margin-top: 1%;">
									Numero non valido!</div>
							</td>
						</tr>
						<tr>
							<th class="fieldLabel medium" style="text-align: right; font:bold; width:20%; ">
								<label style="margin-top: 6%">
									<strong>{{configuration.settings[1].label}}</strong>
								</label>
							</th>
							<td style="width: 40%;">
								<input pattern="^(100|\d{0,2})(\.\d{1,2})?$" type="text" name="aggioDRM" id="aggioDRM"
									class="form-control" style="width: 90%; margin-bottom: 0%; height: 18px;"
									ng-model="configuration.settings[1].value">&nbsp;%
								<div class="custom-error" ng-show="ValueForm.aggioDRM.$error.pattern"
									style="color: red; font-size:14px; margin-top: 1%;">
									Numero non valido!</div>
							</td>

						</tr>
						<tr>
							<th class="fieldLabel medium" style="text-align: right; font:bold; width:20%; ">
								<label style="margin-top: 6%">
									<strong>{{configuration.settings[2].label}}</strong>
								</label>
							</th>
							<td style="width: 40%;">
								<input pattern="^(100|\d{0,2})(\.\d{1,2})?$" type="text" name="trattenutaDEM"
									id="trattenutaDEM" class="form-control"
									style="width: 90%; margin-bottom: 0%; height: 18px;"
									ng-model="configuration.settings[2].value">&nbsp;%
								<div class="custom-error" ng-show="ValueForm.trattenutaDEM.$error.pattern"
									style="color: red; font-size:14px; margin-top: 1%;">
									Numero non valido!</div>
							</td>
						</tr>

					</tbody>
				</table>
			</form>
		</div>
	</div>
</div>
<br>
<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				<button type="button" class="btn addButton" ng-click="saveConfiguration()" ng-show="ValueForm.$valid">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>
